package com.tzld.piaoquan.api.dao.mapper;

import com.tzld.piaoquan.api.model.po.GzhAutoreplyBehaviorUvTotal;
import com.tzld.piaoquan.api.model.po.GzhAutoreplyBehaviorUvTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GzhAutoreplyBehaviorUvTotalMapper {
    long countByExample(GzhAutoreplyBehaviorUvTotalExample example);

    int deleteByExample(GzhAutoreplyBehaviorUvTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GzhAutoreplyBehaviorUvTotal record);

    int insertSelective(GzhAutoreplyBehaviorUvTotal record);

    List<GzhAutoreplyBehaviorUvTotal> selectByExample(GzhAutoreplyBehaviorUvTotalExample example);

    GzhAutoreplyBehaviorUvTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GzhAutoreplyBehaviorUvTotal record, @Param("example") GzhAutoreplyBehaviorUvTotalExample example);

    int updateByExample(@Param("record") GzhAutoreplyBehaviorUvTotal record, @Param("example") GzhAutoreplyBehaviorUvTotalExample example);

    int updateByPrimaryKeySelective(GzhAutoreplyBehaviorUvTotal record);

    int updateByPrimaryKey(GzhAutoreplyBehaviorUvTotal record);
}